<aside class="absolute top-4 right-4">
    <button
        (click)="onAddClick()"
        class="border border-slate-500 flex font-bold justify-center items-center p-2 text-yellow-600 rounded bg-blue-900">
        
        <ng-container *ngIf="!loading; else spinner">
            <ng-container *ngIf="isAdded; then added else notAdded"></ng-container>

            <ng-template #added>
                <img src="https://raw.githubusercontent.com/PokeAPI/sprites/master/sprites/items/poke-ball.png" alt="added-icon"/>
            </ng-template>
            <ng-template #notAdded>
                <p>Add</p>
            </ng-template>
        </ng-container>

        <ng-template #spinner>
            <span class="material-icons animate-spin">refresh</span>
        </ng-template>
    </button>
</aside>
